import 'package:flutter/material.dart';
import 'package:gap/gap.dart';
import 'package:tanami_app/core/styles/app_color.dart';
import 'package:tanami_app/features/register/presentation/widgets/register_step_count.dart';

import '../widgets/register_step_bottom_section.dart';
import '../widgets/register_step_top_section.dart';

class RegisterStepLayout extends StatelessWidget {
  const RegisterStepLayout({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        backgroundColor: AppColor.plainWhite,
        body: ListView(
          children: const [
            RegisterStepTopSection(),
            Gap(20),
            RegisterStepCount(),
            RegisterStepBottomSection(),
          ],
        ));
  }
}
